<%= form_for(@mailing) do |f| %>
  <% if @mailing.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@mailing.errors.count, "błąd") %> uniemożliwia zapisanie formularza:</h2>

      <ul>
      <% @mailing.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

<div class="box box-primary">
  <div class="box-header with-border">
    <h3 class="box-title">Dane podstawowe</h3>
  </div>
  <div class="box-body">
    <div class="row">
      <div class="form-group col-sm-12">
        <%= f.label :name, "Nazwa" %><br>
        <%= f.text_field :name, class: "form-control" %>
      </div>
      <div class="form-group col-sm-12">
        <%= f.label :description, "Opis" %><br>
        <%= f.text_area :description, class: "form-control" %>
      </div>
      <div class="form-group col-sm-12 col-md-3">
        <%= f.label :send_date, "Data wysyłki" %><br>
        <%= f.text_field :send_date, value: @mailing.send_date, class: "date form-control" %>
      </div>
      <div class="form-group col-sm-12 col-md-3">
        <%= f.label :status_id, "Status" %><br>
        <%= f.select :status_id, options_from_collection_for_select(MailingStatus.all, :id, :name, @mailing.status_id), {:include_blank => "Wybierz..."}, class: "form-control" %>
      </div>
      <div class="form-group col-sm-12 col-md-3">
        <%= f.label :assign_to, "Do kogo przypisać maila?" %><br>
        <%= f.select :assign_to, options_from_collection_for_select(User.all, :id, :name, @mailing.assign_to), {:include_blank => "Wybierz..."}, class: "form-control" %>
      </div>
      <div class="form-group col-sm-12 col-md-3">
        <%= f.label :priority, "Priorytet" %><br>
        <%= f.select :priority, options_for_select(get_priorities, @mailing.priority), {:include_blank => "Wybierz..."}, class: "form-control" %>
      </div>
    </div>
  </div>
  <!-- /.box-body -->
</div>



<div class="box box-primary">
  <div class="box-header with-border">
    <h3 class="box-title">Grupa odbiorców</h3>
  </div>
  <div class="box-body">
    <%= f.fields_for :mailing_groups do |group| %>
    <div class="row duplicatable_mailing_groups">
      <div class="form-group col-xs-10 col-md-3">
        <%= group.label :subject_group_id, "Przedmiot" %>
        <%= group.select :subject_group_id, options_from_collection_for_select(SubjectGroup.all, :id, :name, group.object.subject_group_id), {:include_blank => "Wybierz..."}, class: "form-control" %>
      </div>

      <div class="form-group col-xs-10 col-md-3">
        <%= group.label :level_group_id, "Poziom" %>
        <%= group.select :level_group_id, options_from_collection_for_select(LevelGroup.all, :id, :name, group.object.level_group_id), {:include_blank => "Wybierz..."}, class: "form-control" %>
      </div>

      <div class="form-group col-xs-10 col-md-3">
        <%= group.label :other_group_id, "Inne" %>
        <%= group.select :other_group_id, options_from_collection_for_select(OtherGroup.all, :id, :name, group.object.other_group_id), {:include_blank => "Wybierz..."}, class: "form-control" %>
      </div>

      <%= group.check_box :_destroy, class: 'destroy-checkbox', style: 'display:none' %>

      <div class="col-xs-2 col-md-1">
        <a class="destroy_duplicate_mailing_group text-danger" href="#" style="margin-top:20px; display: block">
          <span class="fa-stack fa-lg ">
            <i class="fa fa-minus-circle fa-2x"></i>
          </span>
        </a>
      </div>
    </div>
    <% end %>
  </div>
  <!-- /.box-body -->
  <div class="box-footer">
    <a class="duplicate_mailing_group" href="#">
      <span class="fa-stack fa-lg ">
        <i class="fa fa-circle fa-stack-2x"></i>
        <i class="fa fa-plus fa-stack-1x fa-inverse"></i>
      </span>
      dodaj kolejną definicję grupy
    </a>
    <div class="row">
      <div class="form-group col-sm-12">
        <%= f.label :other_group, "...lub opisz grupę słownie" %>
        <%= f.text_area :other_group, class: "form-control" %>
        <p class="help-block">Uzupełnij to pole tylko wtedy, gdy jest to naprawdę konieczne!</p>
      </div>
    </div>
  </div>
</div>








  <div class="actions">
    <%= f.submit 'Zapisz', class: "btn btn-primary btn-flat" %>
  </div>
<% end %>
